use crate::protobuf::rpc;
use crate::protobuf::pagination;
use crate::models::member;

const SUBJECT: &str = "bet.beteran.c2se.backend.member";

pub const SUBJECT_LIST_MEMBERS: &str =
  const_format::concatcp!(SUBJECT, ".ListMembers");
/// subject = bet.beteran.c2se.backend.member.ListMembers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersRequest {
    #[prost(message, optional, tag="1")]
    pub pagination: ::core::option::Option<pagination::Pagination>,
    #[prost(message, repeated, tag="2")]
    pub searches: ::prost::alloc::vec::Vec<pagination::Search>,
    #[prost(message, repeated, tag="3")]
    pub sorts: ::prost::alloc::vec::Vec<pagination::Sort>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMembersResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, repeated, tag="2")]
    pub members: ::prost::alloc::vec::Vec<member::Member>,
}

pub const SUBJECT_GET_MEMBER: &str =
  const_format::concatcp!(SUBJECT, ".GetMember");
/// subject = bet.beteran.c2se.backend.member.GetMember
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberRequest {
    #[prost(string, tag="1")]
    pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub member: ::core::option::Option<member::Member>,
}

pub const SUBJECT_GET_MEMBER_BY_USERNAME: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberByUsername");
/// subject = bet.beteran.c2se.backend.member.GetMemberByUsername
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameRequest {
    #[prost(string, tag="1")]
    pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberByUsernameResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub member: ::core::option::Option<member::Member>,
}
