use crate::models::core;
use crate::protobuf::rpc;

const SUBJECT: &str = "bet.beteran.ss.member.identity";

pub const SUBJECT_CHECK_USERNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckUsernameForDuplication");
/// subject = bet.beteran.ss.member.identity.CheckUsernameForDuplication;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(bool, optional, tag = "2")]
  pub duplicated: ::core::option::Option<bool>,
}

pub const SUBJECT_CHECK_NICKNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckNicknameForDuplication");
/// subject = bet.beteran.ss.member.identity.CheckNicknameForDuplication;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub nickname: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(bool, optional, tag = "2")]
  pub duplicated: ::core::option::Option<bool>,
}

pub const SUBJECT_CAPTCHA: &str = const_format::concatcp!(SUBJECT, ".Captcha");
/// subject = bet.beteran.ss.member.identity.Captcha
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub token: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "3")]
  pub image: ::core::option::Option<::prost::alloc::string::String>,
}

pub const SUBJECT_SIGNIN: &str = const_format::concatcp!(SUBJECT, ".Signin");
/// subject = bet.beteran.ss.member.identity.Signin
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub token: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub security_code: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub username: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub password: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub token: ::core::option::Option<::prost::alloc::string::String>,
}
